# 含まれているファイルについて
- `README.md`
- `mws_cup_q1_4_answer.ipynb`
    - 問題 3-1 から 3-4 の解答に至るまでの過程を示した Jupyter Notebook
- `mws_cup_q5_answer.ipynb`
    - 問題 3-5 分類チャレンジの模範解答

# MWS Cup 問題 3 集計・分析問題 解答
3-1 xoo

3-2 687 or 10 (問題文の表現が曖昧だったため、積集合に含まれる impfuzzy の数を答えている場合、積集合に含まれる impfuzzy となる検体数を答えた場合のどちらでも正解としている。) 

3-3 import API が同じものであるため
    - impfuzzy は fuzzy hash であり、import API が完全に一致していなくとも同じ impfuzzy になり得るため、「import API が似通っていたため」でも正解としている。

3-4 (解答例 1) マルウェアと良性ファイルで同じパッカーが使用され、アンパックされた後に実行されるプログラムの import API の情報が隠蔽されたため
    - パックされた実行ファイルの import API には、基本的にアンパック処理に必要なものが含まれる。そのため、異なる実行ファイルでも同じパッカーでパックすると、import API は似通ったものになる。
    (解答例 2) マルウェアと良性ファイルが共に .NET 実行ファイルであり、import API が同じになったため
    - .NET 実行ファイルの import API は実行時の処理に関係なく`mscoree.dll!_CorExeMain` のみ、もしくは空になる。そのため、マルウェアと良性ファイルで import API が同じになり、impfuzzy の値が衝突する。

解答に至るまでの過程を知りたい場合は、`mws_cup_q1_4_answer.ipynb` を参照

# MWS Cup 問題 3 分類問題 解答
- 添付の `mws_cup_q5_answer.ipynb` を参照

